Package org.eclipse.net4j.util.io

# Class ExpectedFileReader

java.lang.Object
java.io.Reader
java.io.InputStreamReader
java.io.FileReader
org.eclipse.net4j.util.io.ExpectedFileReader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Readable`

public class ExpectedFileReader extends FileReader

Since:
  3.1
Author:
  Eike Stepper

## Field Summary

### Fields inherited from class java.io.Reader

`lock`

## Constructor Summary

Constructors
Constructor
Description
`ExpectedFileReader(File file, long expectedSize)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getTimeout()`
`int`
`read()`
`int`
`read(char[] cbuf)`
`int`
`read(char[] cbuf, int offset, int length)`
`int`
`read(CharBuffer target)`
`void`
`setTimeout(long timeout)`
`long`
`skip(long n)`

### Methods inherited from class java.io.InputStreamReader

`close, getEncoding, ready`

### Methods inherited from class java.io.Reader

`mark, markSupported, nullReader, reset, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExpectedFileReader

public ExpectedFileReader(File file, long expectedSize) throws FileNotFoundException

Throws:
  `FileNotFoundException`

## Method Details

### getTimeout

public long getTimeout()

### setTimeout

public void setTimeout(long timeout)

### skip

public long skip(long n) throws IOException

Overrides:
  `skip` in class `Reader`
Throws:
  `IOException`

### read

public int read() throws IOException

Overrides:
  `read` in class `InputStreamReader`
Throws:
  `IOException`

### read

public int read(char[] cbuf, int offset, int length) throws IOException

Overrides:
  `read` in class `InputStreamReader`
Throws:
  `IOException`

### read

public int read(CharBuffer target) throws IOException

Specified by:
  `read` in interface `Readable`
Overrides:
  `read` in class `InputStreamReader`
Throws:
  `IOException`

### read

public int read(char[] cbuf) throws IOException

Overrides:
  `read` in class `Reader`
Throws:
  `IOException`